PETSc version 3.17.4
Fix/Edit manual page

# DMPlexCreateNeighborCSR

Create a mesh graph (cell-cell adjacency) in parallel CSR format.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateNeighborCSR(DM dm, PetscInt cellHeight, PetscInt *numVertices, PetscInt **offsets, PetscInt **adjacency)

Collective on DM

### Input Parameters

| dm | - The DMPlex
| cellHeight | - The height of mesh points to treat as cells (default should be 0)

### Output Parameters

| numVertices | - The number of local vertices in the graph, or cells in the mesh.
| offsets | - The offset to the adjacency list for each cell
| adjacency | - The adjacency list for all cells

Note: This is suitable for input to a mesh partitioner like ParMetis.

### See Also

DMPlexCreate()

### Level

advanced

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages